;--------------------------------;
;   Gigatron + LCD_LM016L.ASM    ;
;          11.10.2020            ;
;                                ;
;  CLC = 2000Hz                  ;
;  Hardware stack implemented    ;
;  0FFH -  ...  ;
;--------------------------------;
;0123456789012345
;> The Gigatron <
;> Gigatron-SP! <
;Press any key...

    ORG  0000H;
START:
    DB    08H, 00H;  LDA 00H
    DB    1AH, 0FFH; LD  AC,OUT - clear port  
;-------------
    DB    0EH, 0FFH; NOP - Delay
    DB    0EH, 0FFH; NOP - 20 mS
    DB    14H, 88H;  LD  $88,Y
;-------------
    DB    08H, 30H;  LDA 30H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 30H;  LDA 30H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    0EH, 0FFH; NOP - Delay
    DB    0EH, 0FFH; NOP - 20 mS
    DB    0EH, 0FFH; NOP
    DB    0EH, 0FFH; NOP - Delay
    DB    0EH, 0FFH; NOP - 20 mS
    DB    0EH, 0FFH; NOP
;-------------
    DB    08H, 30H;  LDA 30H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 20H;  LDA 20H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 20H;  LDA 20H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 0C0H; LDA 0C0H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 00H;  LDA 00H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 0F0H; LDA 0F0H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
CLS:
    DB    08H, 00H;  LDA 00H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 10H;  LDA 10H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 08H;  LDA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT -  
;-------------
    DB    08H, '>';  LDA 'Symb'
    DB    10H, 0F0H; LD  $F0,X
    DB    0C6H,0FFH; LD  AC,[X]
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, '>';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, ' ';  LDA 'Symb'
    DB    10H, 0F1H; LD  $F1,X
    DB    0C6H,0FFH; LD  AC,[X]
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'G';  LDA 'Symb'
    DB    10H, 0F6H; LD  $F6,X
    DB    0C6H,0FFH; LD  AC,[X]
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'G';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'I';  LDA 'Symb'
    DB    10H, 0F7H; LD  $F7,X
    DB    0C6H,0FFH; LD  AC,[X]
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'I';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'G';  LDA 'Symb'
    DB    10H, 0F8H; LD  $F8,X
    DB    0C6H,0FFH; LD  AC,[X]
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'G';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'A';  LDA 'Symb'
    DB    10H, 0F9H; LD  $F9,X
    DB    0C6H,0FFH; LD  AC,[X]
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'A';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'T';  LDA 'Symb'
    DB    10H, 0FAH; LD  $FA,X
    DB    0C6H,0FFH; LD  AC,[X]
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'T';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'R';  LDA 'Symb'
    DB    10H, 0FBH; LD  $FB,X
    DB    0C6H,0FFH; LD  AC,[X]
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'R';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'O';  LDA 'Symb'
    DB    10H, 0FCH; LD  $FC,X
    DB    0C6H,0FFH; LD  AC,[X]
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'O';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'N';  LDA 'Symb'
    DB    10H, 0FDH; LD  $FD,X
    DB    0C6H,0FFH; LD  AC,[X]
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'N';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, '-';  LDA 'Symb'
    DB    10H, 0F2H; LD  $F2,X
    DB    0C6H,0FFH; LD  AC,[X]
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, '-';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'S';  LDA 'Symb'
    DB    10H, 0F3H; LD  $F3,X
    DB    0C6H,0FFH; LD  AC,[X]
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'S';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'P';  LDA 'Symb'
    DB    10H, 0F4H; LD  $F4,X
    DB    0C6H,0FFH; LD  AC,[X]
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'P';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, '!';  LDA 'Symb'
    DB    10H, 0F5H; LD  $F5,X
    DB    0C6H,0FFH; LD  AC,[X]
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, '!';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, ' ';  LDA 'Symb'
    DB    10H, 0FEH; LD  $FE,X
    DB    0C6H,0FFH; LD  AC,[X]
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, '<';  LDA 'Symb'
    DB    10H, 0FFH; LD  $FF,X
    DB    0C6H,0FFH; LD  AC,[X]
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, '<';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 00H;  LDA 08H = 0000.1000 CMD LOW
    DB    1AH, 0FFH; LD  AC,OUT
;-------------
    DB    08H, 0C0H; LDA 0CH ; Poz at 2-nd line
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 00H;  LDA 00H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 08H;  LDA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
;-------------
    DB    08H, 'P';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'P';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'r';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'r';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'e';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'e';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 's';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 's';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 's';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 's';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'a';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'a';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'n';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'n';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'y';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'y';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'k';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'k';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'e';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'e';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'y';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'y';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, '.';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, '.';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, '.';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, '.';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, '.';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, '.';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 00H;  LDA 00H = 0000.1000 CMD LOW
    DB    1AH, 0FFH; LD  AC,OUT
;-------------
    DB    08H, 0C0H; LDA 0C0H ; Poz at 2-nd line
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 0F0H; LDA 0F0H ; Poz 15
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 00H;  LDA 00H = 0000.1000 CMD LOW
    DB    1AH, 0FFH; LD  AC,OUT - 
;-------------
    DB    08H,0DFH; LDA 0DFH -    01E0H
    DB    12H,0FFH; LD  AC,X -   
INP:
    DB    03H, 88H;  LDA IN ; 0FFH - not pressed
    DB    0A0H,0FFH; SUB 0FFH
    DB    0EH, 0FFH; NOP;
    DB    0F0H,(INP/2)AND 0FFH; BEQ INP;
    DB    0EH, 0FFH; NOP after JMP;
;    DB    14H, 00H;  LD  00H,Y
;    DB    0E0H,(CLS/2)AND 0FFH; JMP  Y,CLS
;    DB    0EH, 0FFH; NOP after JMP
DID:
    DB    0D5H,0D0H; STAY MEM,[$OP] = STAY X,[$OP] -    0D0H
    DB    14H,(MAS/2/256)AND 0FFH; LD  INP,Y; -   ( ) 
    DB    0CDH,0AAH; ST  MEM,[Y,X] = ST PCL,[01,X++] - save  , BLOCK;
    DB    0E0H,(MAS/2)AND 0FFH;   JMP  Y,INP;   
    DB    0DDH,0CCH; ST MEM,[Y,X++] = ST PCH,[01,X++] - save  ,  BLOCK;
TYT:
    DB    08H, 33H; A = 33H <-  ,    ..
    DB    0C2H,30H; save A at 30H
    DB    12H,0FFH; LD  A,X -  A  
;-------- CALL CURSOR AT 2,0
;    DB    01H, 0D0H; LDA [0D0H] -  STACK_P  ;
;    DB    12H, 0FFH; LD  AC,X -  STACK_P  ;
    DB    11H, 0D0H; LD  [0D0H],X
    DB    14H,(SET0/2/256)AND 0FFH; LD  INP,Y; -   ( ) 
    DB    0CDH,0AAH; ST  MEM,[Y,X] = ST PCL,[01,X++] - save  , BLOCK;
    DB    0E0H,(SET0/2)AND 0FFH;   JMP  Y,INP;   
    DB    0DDH,0CCH; ST MEM,[Y,X++] = ST PCH,[01,X++] - save  ,  BLOCK;
;-------- CALL CLEAR LINE
;    DB    01H, 0D0H; LDA [0D0H] -  STACK_P  ;
;    DB    12H, 0FFH; LD  AC,X -  STACK_P  ;
    DB    11H, 0D0H; LD  [0D0H],X
    DB    14H,(CST/2/256)AND 0FFH; LD  INP,Y; -   ( ) 
    DB    0CDH,0AAH; ST  MEM,[Y,X] = ST PCL,[01,X++] - save  , BLOCK;
    DB    0E0H,(CST/2)AND 0FFH;   JMP  Y,INP;   
    DB    0DDH,0CCH; ST MEM,[Y,X++] = ST PCH,[01,X++] - save  ,  BLOCK;
;-------- CALL CURSOR AT 2,0
;    DB    01H, 0D0H; LDA [0D0H] -  STACK_P  ;
;    DB    12H, 0FFH; LD  AC,X -  STACK_P  ;
    DB    11H, 0D0H; LD  [0D0H],X
    DB    14H,(SET0/2/256)AND 0FFH; LD  INP,Y; -   ( ) 
    DB    0CDH,0AAH; ST  MEM,[Y,X] = ST PCL,[01,X++] - save  , BLOCK;
    DB    0E0H,(SET0/2)AND 0FFH;   JMP  Y,INP;   
    DB    0DDH,0CCH; ST MEM,[Y,X++] = ST PCH,[01,X++] - save  ,  BLOCK;
;-------------
    DB    08H, 08H;  LDA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT -  
;-------------
    DB    08H, 'D';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'D';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'o';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'o';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'i';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'i';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 't';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 't';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'A';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'A';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'g';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'g';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'a';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'a';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'i';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'i';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'n';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'n';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, '?';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, '?';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 00H;  LDA 00H = 0000.1000 CMD LOW
    DB    1AH, 0FFH; LD  AC,OUT - 
;-------------
RTA:
    DB    03H, 88H;  LDA IN ; 0FFH - not pressed
    DB    0A0H,0FFH; SUB 0FFH
    DB    0EH, 0FFH; NOP;
    DB    0F0H,(RTA/2)AND 0FFH; BEQ INP;
    DB    0EH, 0FFH; NOP after JMP;
    DB    14H, 00H;  LD  00H,Y
    DB    0E0H,(CLS/2)AND 0FFH; JMP  Y,CLS
    DB    0EH, 0FFH; NOP after JMP
;--------- debug
;    DB    14H,(INP/2/256)AND 0FFH; LD  INP,Y; -   ( ) 
;    DB    0E0H,(INP/2)AND 0FFH;   JMP  Y,INP;   
;    DB    22H, 22H; NOP after JMP;

;--- Old Hardware Tests...
;    DB    0C5H, 99H; ST  MEM,[0,X]
    DB    0CDH,0AAH; ST  MEM,[Y,X] = ST PCL,[01,X++]
;    DB    0EH, 0FFH; NOP;
    DB    0DDH,0CCH; ST MEM,[Y,X++] = ST PCH,[01,X++]
;    DB    0EH, 0FFH;  NOP after JMP;
    DB    08H, 44H; LDA 44H
;    DB    0EH, 0FFH; NOP;
;    DB    0FCH,(INP/2)AND 0FFH;  BRA INP;
    DB    0D5H,0D0H; STAY MEM,[$OP] = STAY X,[$OP]
;    DB    0EH, 0FFH;  NOP after JMP;
;    DB    0EH, 0FDH;  NOP;
    DB    01H, 0F0H;  LDA [0F0H] -   
    DB    0EH, 0FFH; NOP;
;    DB    0C2H,0F0H;  STA [0F0H] -  
;    DB    12H, 0FFH;  LD  AC,X -   
    DB    0C5H,0FFH; ST Y,[0,X]

    DB    0C1H,0C1H; LD   [01,X-],A
    DB    0D9H,0D9H; LD   [01,X-],Y
    DB    22H, 22H; NOP after JMP;
;---      ST  MEM,[0,X] = ST Y,[0,X]
;---     .
;    DB    0C5H,0EEH;  ST Y,[0,X]
    DB    14H,(INP/2/256)AND 0FFH; LD  INP,Y; -   ( ) 
    DB    0E0H,(INP/2)AND 0FFH;   JMP  Y,INP;   
    DB    22H, 22H; NOP after JMP;
;--------------------------------------
MAS:
    DB    0D5H,0D0H; STAY MEM,[$OP] = STAY X,[$OP] - save STACK_P at 0D0H, UNBLOCK;
;---
    DB    14H,  00H;  LD  00H,Y -   ( )
    DB    10H,  20H;  LD  20H,X -  
;---     (   ...)
;         0x0E,0x07,0x03,0x01,0x03,0x07,0x0E,0x00
    DB    0DCH, 0EH; ST  0EH,[Y,X++]
    DB    0DCH, 07H; ST  07H,[Y,X++]
    DB    0DCH, 03H; ST  03H,[Y,X++]
    DB    0DCH, 01H; ST  01H,[Y,X++]
    DB    0DCH, 03H; ST  03H,[Y,X++]
    DB    0DCH, 07H; ST  07H,[Y,X++]
    DB    0DCH, 0EH; ST  0EH,[Y,X++]
    DB    0DCH, 00H; ST  00H,[Y,X++]
;---
;         0x00,0x0F,0x1F,0x01,0x1F,0x0F,0x00,0x00
    DB    0DCH, 00H; ST  00H,[Y,X++]
    DB    0DCH, 0FH; ST  0FH,[Y,X++]
    DB    0DCH, 1FH; ST  1FH,[Y,X++]
    DB    0DCH, 01H; ST  01H,[Y,X++]
    DB    0DCH, 1FH; ST  1FH,[Y,X++]
    DB    0DCH, 0FH; ST  0FH,[Y,X++]
    DB    0DCH, 00H; ST  00H,[Y,X++]
    DB    0DCH, 00H; ST  00H,[Y,X++]
    DB    22H,  22H; NOP -  
;-------------------   
SRET:
;    DB    01H, 0D0H; LDA [0F0H] -  STACK_P  ;
;    DB    12H, 0FFH; LD  AC,X -  STACK_P  ;
    DB    11H, 0D0H; LD  [0D0H],X
    DB    0D9H,0D9H; LD  [01,X-],Y -     Y;
    DB    0C1H,0C1H; LD  [01,X-],A -     A;
    DB    80H, 02H;  A = A + 2 -    ;
    DB    0E2H,0FFH; JMP  Y,A -   ..
    DB    0D5H,0D0H; STAY X,[$OP] - save STACK_P at 0D0H, UNBLOCK;
;--------------------------------------

SET0:
    DB    0D5H,0D0H; STAY MEM,[$OP] = STAY X,[$OP] - save STACK_P at 0D0H, UNBLOCK;
;-------------
    DB    08H, 0C0H; LDA 0C0H ; Poz at 2-nd line
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 00H; LDA 0F0H ; Poz 0
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    14H,(SRET/2/256)AND 0FFH; LD  INP,Y; -   ( ) 
    DB    0E0H,(SRET/2)AND 0FFH;   JMP  Y,INP;    
    DB    22H, 22H; NOP after JMP;
;-------------
CST:
    DB    0D5H,0D0H; STAY MEM,[$OP] = STAY X,[$OP] - save STACK_P at 0D0H, UNBLOCK;
;-------------
    DB    08H, 08H;  LDA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT -  
;-------------
    DB    08H, 10H;  LDA 16
    DB    0C2H,40H;  STA [40H] - counter
;-------------
PRB:
    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    01H, 40H;  LDA [40H] -    ;
    DB    0A0H,01H;  SUB 01H
    DB    0C2H,40H;  STA [40H] -  
;    DB    0EH, 0FFH; NOP;
    DB    0F0H,(EXT/2)AND 0FFH; BEQ EXT;
    DB    0EH, 0FFH; NOP;

    DB    14H,(PRB/2/256)AND 0FFH; LD  INP,Y; -   ( ) 
    DB    0E0H,(PRB/2)AND 0FFH;   JMP  Y,INP;    
    DB    22H, 22H; NOP after JMP;
EXT:
;-------------
    DB    08H, 00H;  LDA 00H = 0000.1000 CMD LOW
    DB    1AH, 0FFH; LD  AC,OUT - 
;-------------
    DB    14H,(SRET/2/256)AND 0FFH; LD  INP,Y; -   ( ) 
    DB    0E0H,(SRET/2)AND 0FFH;   JMP  Y,INP;    
    DB    22H, 22H; NOP after JMP;
;-------------
    DB    01H, 0FFH;
    DB    01H, 0FFH;
    DB    01H, 0FFH;
    DB    01H, 0FFH;
    DB    01H, 0FFH;
    DB    01H, 0FFH;
    DB    01H, 0FFH;
    DB    01H, 0FFH;
    DB    01H, 0FFH;

    END
;---------------------------------------